> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get Connect configuration

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/connect/{connectId}

Retrieves the information for the specified Docusign Connect configuration.

To use this method, you must be an account administrator
and Connect must be enabled on your account.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/connect/connectconfigurations/get

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `connectId` (string, required) — The ID of the custom Connect configuration being accessed.

## Response

### 200

Successful response.

- `configurations` (list of connectCustomConfiguration, optional) — An array of Docusign Connect configurations.
- `totalRecords` (string, optional) — The number of results.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### connectCustomConfiguration

The `connectCustomConfiguration` object describes a Connect configuration for your account.

- `allowEnvelopePublish` (string, optional) — Set this value to **true** to enable the webhook. The default property is **false.**
- `allowSalesforcePublish` (string, optional) — When **true,** Docusign sends data to the designated Salesforce account through Connect. The default value is **true.** This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `allUsers` (string, optional) — When **true,** the tracked envelope and recipient events for all users, including users that are added a later time, are sent through Connect. The default value is **false.** **Note:** If this property is **false,** make sure you set the `userIds` property to a non-empty array of user IDs. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `allUsersExcept` (string, optional) — This flag enables you to toggle between including and excluding specified users from the configuration. When **false,** the users corresponding to the IDs in `userIds` will be included in the configuration. Conversely, when **true,** the users will be excluded from the configuration. The default value is **false.** This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `configurationType` (string, optional) — The type of the configuration. Valid values: - `custom`: Creates an account-level configuration - `customrecipient`: Creates a Recipient Connect configuration - `salesforce` - `eOriginal` This property is required.
- `connectId` (string, optional) — The Docusign-generated ID for the Connect configuration. This property is read-only.
- `deliveryMode` (string, optional) — The delivery mode of the configuration. Valid values: - `SIM` - `Aggregate` This property is required.
- `disabledBy` (string, optional)
- `enableLog` (string, optional) — When **true,** Connect logging is turned on. Docusign recommends that you enable this functionality to help troubleshoot any issues. You can have a maximum of 100 active logs in your account. You can view the entries in active logs in the **Logs** tab in the Connect console. This property is required.
- `enableOAuthPerConfiguration` (string, optional)
- `envelopeEvents` (list of string, optional) — A list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the `url` property. When using any of [the legacy event message formats](/platform/webhooks/connect/legacy-message-formats/), you must include either the `envelopeEvents` property or the `recipientEvents` property. If you are instead using the [JSON SIM event model](/platform/webhooks/connect/json-sim-event-model/), use the [`events`](/docs/esign-rest-api/reference/connect/connectconfigurations/create/#schema__connectcustomconfiguration_events) property. The [possible event statuses](/platform/webhooks/connect/event-triggers/) are: - `Sent` - `Delivered` - `Completed` - `Declined` - `Voided` **Note:** These values are case-sensitive. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `eventData` (connectEventData, optional) — This object lets you choose the data format of your Connect response.
- `events` (list of string, optional) — A comma-separated list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the `urlToPublishTo` property. Set this property when you are using the [JSON SIM event model](/platform/webhooks/connect/json-sim-event-model/). If you are instead using any of [the legacy event message formats](/platform/webhooks/connect/legacy-message-formats/), set either the `envelopeEvents` property or the `recipientEvents` property. The [possible event statuses](/platform/webhooks/connect/json-sim-event-reference/) are: - `envelope-created` - `envelope-sent` - `envelope-resent` - `envelope-delivered` - `envelope-completed` - `envelope-declined` - `envelope-voided` - `recipient-authenticationfailed` - `recipient-autoresponded` - `recipient-declined` - `recipient-delivered` - `recipient-completed` - `recipient-sent` - `recipient-resent` - `template-created` - `template-modified` - `template-deleted` - `envelope-corrected` - `envelope-purge` - `envelope-deleted` - `envelope-discard` - `recipient-reassign` - `recipient-delegate` - `recipient-finish-later` - `click-agreed` - `click-declined` This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `externalFolderId` (string, optional) — The ID of an external folder. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `externalFolderLabel` (string, optional) — The label for an external folder. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `groupIds` (list of string, optional)
- `includeCertificateOfCompletion` (string, optional) — When **true,** the Connect Service includes the Certificate of Completion with completed envelopes. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `includeCertSoapHeader` (string, optional)
- `includeDocumentFields` (string, optional) — When **true,** the document fields associated with the envelope's documents are included in the notification messages. Document fields are optional custom name-value pairs added to documents using the API. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `includeDocuments` (string, optional) — Reserved for Docusign.
- `includeEnvelopeVoidReason` (string, optional) — When **true,** if the envelope is voided, the Connect Service notification will include the void reason, as entered by the person that voided the envelope. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `includeHMAC` (string, optional) — When **true,** Connect will use HMAC to verify the request. This property is required.
- `includeOAuth` (string, optional)
- `includeSenderAccountasCustomField` (string, optional) — When **true,** Connect will include the sender account as custom field in the data. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `includeTimeZoneInformation` (string, optional) — When **true,** Connect will include the envelope time zone information. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `integratorManaged` (string, optional)
- `name` (string, optional) — The name of the Connect configuration. This property is required.
- `oAuthConfiguration` (connectOAuthConfig, optional) — A complex object describing a Connect OAuth configuration.
- `password` (string, optional) — The password for the Connect configuration. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `pausePublish` (string, optional)
- `recipientEvents` (list of string, optional) — An array of recipient event statuses that will trigger Connect to send notifications to your webhook listener at the URL endpoint specified in the `url` property. When using any of [the legacy event message formats](/platform/webhooks/connect/legacy-message-formats/), you must include either the `envelopeEvents` property or the `recipientEvents` property. If you are instead using the [JSON SIM event model](/platform/webhooks/connect/json-sim-event-model/), use the `events` property. The [possible event statuses](/platform/webhooks/connect/event-triggers/) are: - `Sent` - `AutoResponded` - `Delivered` - `Completed` - `Declined` - `AuthenticationFailed` **Note:** These values are case-sensitive. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `requireMutualTls` (string, optional) — When **true,** [Mutual TLS](/platform/webhooks/mutual-tls/) authentication is enabled. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `requiresAcknowledgement` (string, optional) — When **true,** event delivery acknowledgements are enabled for your Connect configuration. Docusign Connect awaits a valid 200 response from your application acknowledging that it received a message. If you do not acknowledge receiving an event notification message within 100 seconds, Docusign treats the message as a failure and places it into a failure queue. It is imperative that you acknowledge successful receipt of Connect events as they occur by sending a 200 event back. #### When **true** and Send Individual Messages (SIM) mode is activated If the HTTP status response to a notification message is not in the range of 200-299, then the message delivery failed, and the configuration is marked as down. The message will be queued and retried once per day. While a Connect configuration is marked down, subsequent notifications will not be tried. Instead, they will be immediately queued with the reason `Pending`. When a message succeeds, all queued messages for the configuration will be tried immediately, in order. There is a maximum of ten retries. Alternately, you can use **Republish Connect Information** to manually republish the notification. #### When **true** and SIM mode is not activated If the HTTP Status response to a notification message is not in the range of 200-299, then the message delivery failed, and the message is queued. The message will be retried after at least a day the next time a subsequent message is successfully sent to this configuration (subscription). Subsequent notifications will be tried when they occur. There is a maximum of ten retries. Alternately, you can use **Republish Connect Information** to manually republish the notification. #### When **false** When `requiresAcknowledgement` is set to **false** and you do not acknowledge receiving an event notification message within 100 seconds, Docusign treats the message as a failure and determines that the server is unavailable. It does not retry to send the notification message, and you must handle the failure manually. This property is required.
- `salesforceApiVersion` (string, optional) — The version of the Salesforce API that you are using. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `salesforceAuthcode` (string, optional)
- `salesforceCallBackUrl` (string, optional)
- `salesforceCodeVerifier` (string, optional)
- `salesforceDocumentsAsContentFiles` (string, optional) — When **true,** Docusign can use documents in your Salesforce account for sending and signing. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `senderOverride` (string, optional)
- `senderSelectableItems` (list of string, optional) — This property sets the items that are available for selection when adding or editing Connect objects. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `sfObjects` (list of connectSalesforceObject, optional) — An array of Salesforce objects. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `signMessageWithX509Certificate` (string, optional) — When **true,** Mutual TLS will be enabled for notifications. Mutual TLS must be initiated by the listener (the customer's web server) during the TLS handshake protocol. This property is required.
- `soapNamespace` (string, optional) — The namespace of the SOAP interface. **Note:** If `useSoapInterface` is set to **true,** you must set this value. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `urlToPublishTo` (string, optional) — The web address of the listener or retrieving service endpoint. It must be an HTTPS URL. This property is required.
- `userIds` (list of string, optional) — A comma-separated list of user IDs. This sets the users associated with the tracked envelope and recipient events. When a tracked event occurs for a set user, the a notification message is sent to your Connect listener. By default, the users will be included in the configuration. If you want to exclude the users, set the `allUsersExcept` property to **true.** **Note:** If `allUsers` is set to `false`, then you must provide a list of user IDs. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `userName` (string, optional) — The name of the user. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.
- `useSoapInterface` (string, optional) — When **true,** the notifications are sent to your endpoint as SOAP requests. This property is not used for the `createHistoricalEnvelopePublishTransaction` endpoint.

### connectEventData

This object lets you choose the data format of your Connect response.

- `format` (string, optional) — Reserved for Docusign.
- `includeData` (list of string, optional) — A string array of the data to be included. The default is the empty array `[]`. - `attachments`: Include attachments associated with the envelope. - `custom_fields`: Include the custom fields associated with the envelope. - `documents`: Include the documents associated with the envelope. - `extensions`: Include information about the email settings associated with the envelope. - `folders`: Include the folder where the envelope exists. - `payment_tabs`: Include the payment tabs associated with the envelope. - `powerform`: Include the PowerForms associated with the envelope. - `prefill_tabs`: Include the [pre-filled tabs](/docs/esign-rest-api/esign101/concepts/tabs/prefilled-tabs/) associated with the envelope. - `recipients`: Include the recipients associated with the envelope. - `tabs`: Include the tabs associated with the envelope.
- `version` (string, optional) — Set this property to `restv2.1` to return event data in JSON. If the property is not set, the event data will be returned in XML by default.

### connectOAuthConfig

A complex object describing a Connect OAuth configuration.

- `authorizationServerUrl` (string, optional) — The token URL for your authorization server or OAuth service. This property is required.
- `clientId` (string, optional) — The client ID assigned to your app by your authorization server or OAuth service. This property is required.
- `clientSecret` (string, optional) — The secret value provided by your authorization server. This property is required.
- `customParameters` (map from string to string, optional)
- `scope` (string, optional) — The scopes that your app will request from the authorization server. This property is optional. **Note:** If you are using Azure, this value is the application ID URI of the secified resource affixed with the `.default`. For example: `api://{{clientId}}/.default`

### connectSalesforceObject

A `connectSalesforceObject` is an object that updates envelope and document status or recipient status in your Salesforce account. When you install DocuSign Connect for Salesforce, the service automatically sets up two Connect objects: one that updates envelope status and documents and one that updates recipient status. You can also customize DocuSign Connect for Salesforce by associating DocuSign objects with Salesforce objects so that DocuSign Connect for Salesforce updates or inserts the information into the Salesforce object. For more information, see [DocuSign for Salesforce - Adding Completed Documents to the Notes and Attachments](https://support.docusign.com/articles/DocuSign-for-Salesforce-Adding-Completed-Documents-to-the-Notes-and-Attachments-New).

- `active` (string, optional) — When **true,** the `connectSalesforceObject` is active.
- `description` (string, optional) — A description of the `connectSalesforceObject`.
- `id` (string, optional) — The ID of the `connectSalesforceObject`.
- `insert` (string, optional)
- `onCompleteOnly` (string, optional) — When **true,** Salesforce is updated only when the envelope is complete.
- `selectFields` (list of connectSalesforceField, optional) — The Docusign and Salesforce fields that you want to use to match a Salesforce object with Docusign information. This information tells Connect when to send updates to Salesforce.
- `sfObject` (string, optional) — The Salesforce.com object type, such as `case`, `contact`, or `opportunity`.
- `sfObjectName` (string, optional) — A name for the Salesforce object. **Note:** You can enter any name for the object. It does not have to match the `sfObject` property.
- `updateFields` (list of connectSalesforceField, optional) — The Docusign and Salesforce fields that you want to update. **Note:** You can choose to update SalesForce (with information from Docusign) only, update Docusign only, or both.

### connectSalesforceField

This object is used to match a DocuSign field to a Salesforce field so that Docusign can send information to your Salesforce account.

- `dsAttribute` (string, optional)
- `dsLink` (string, optional) — A URL that links to the information in the Docusign field.
- `dsNode` (string, optional)
- `id` (string, optional) — A unique ID for the Salesforce object.
- `sfField` (string, optional)
- `sfFieldName` (string, optional) — The name of the Salesforce field.
- `sfFolder` (string, optional) — The name of the Salesforce folder.
- `sfLockedValue` (string, optional)

## Examples

**Response**

```json
{
  "configurations": [
    {
      "allowEnvelopePublish": "sample string 1",
      "allowSalesforcePublish": "sample string 2",
      "allUsers": "sample string 3",
      "allUsersExcept": "sample string 4",
      "configurationType": "sample string 5",
      "connectId": "sample string 6",
      "deliveryMode": "sample string 7",
      "disabledBy": "sample string 8",
      "enableLog": "sample string 9",
      "enableOAuthPerConfiguration": "sample string 10",
      "envelopeEvents": [
        "sample string 1"
      ],
      "eventData": {
        "format": "sample string 1",
        "includeData": [
          "sample string 1"
        ],
        "version": "sample string 2"
      },
      "events": [
        "sample string 1"
      ],
      "externalFolderId": "sample string 11",
      "externalFolderLabel": "sample string 12",
      "groupIds": [
        "sample string 1"
      ],
      "includeCertificateOfCompletion": "sample string 13",
      "includeCertSoapHeader": "sample string 14",
      "includeDocumentFields": "sample string 15",
      "includeDocuments": "sample string 16",
      "includeEnvelopeVoidReason": "sample string 17",
      "includeHMAC": "sample string 18",
      "includeOAuth": "sample string 19",
      "includeSenderAccountasCustomField": "sample string 20",
      "includeTimeZoneInformation": "sample string 21",
      "integratorManaged": "sample string 22",
      "name": "sample string 23",
      "oAuthConfiguration": {
        "authorizationServerUrl": "sample string 1",
        "clientId": "sample string 2",
        "clientSecret": "sample string 3",
        "customParameters": {
          "key": "sample string 1"
        },
        "scope": "sample string 4"
      },
      "password": "sample string 24",
      "pausePublish": "sample string 25",
      "recipientEvents": [
        "sample string 1"
      ],
      "requireMutualTls": "sample string 26",
      "requiresAcknowledgement": "sample string 27",
      "salesforceApiVersion": "sample string 28",
      "salesforceAuthcode": "sample string 29",
      "salesforceCallBackUrl": "sample string 30",
      "salesforceCodeVerifier": "sample string 31",
      "salesforceDocumentsAsContentFiles": "sample string 32",
      "senderOverride": "sample string 33",
      "senderSelectableItems": [
        "sample string 1"
      ],
      "sfObjects": [
        {
          "active": "sample string 1",
          "description": "sample string 2",
          "id": "sample string 3",
          "insert": "sample string 4",
          "onCompleteOnly": "sample string 5",
          "selectFields": [
            {
              "dsAttribute": "sample string 1",
              "dsLink": "sample string 2",
              "dsNode": "sample string 3",
              "id": "sample string 4",
              "sfField": "sample string 5",
              "sfFieldName": "sample string 6",
              "sfFolder": "sample string 7",
              "sfLockedValue": "sample string 8"
            }
          ],
          "sfObject": "sample string 6",
          "sfObjectName": "sample string 7",
          "updateFields": [
            {}
          ]
        }
      ],
      "signMessageWithX509Certificate": "sample string 34",
      "soapNamespace": "sample string 35",
      "urlToPublishTo": "sample string 36",
      "userIds": [
        "sample string 1"
      ],
      "userName": "sample string 37",
      "useSoapInterface": "sample string 38"
    }
  ],
  "totalRecords": "sample string 1"
}
```